
Figure - Bug #112129
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】隐私，点击隐私部分的配置菜单，会跳转至全屏模式
2022-09-26 11:20 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-26

Priority: Normal Due date: 2022-09-29

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Reproducibility: Every time Fixed Version: 2022-12-23

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

无

【测试步骤】

1、进入设置 - 隐私

2、点击隐私配置中新或者权限管理器

【预期结果】

2、成功进入，且仍然保持双屏模式

【实际结果】

2、能成功进入，但是会跳转至全屏模式

【复现率】

必现

History

#1 - 2022-09-26 13:39 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#2 - 2022-09-26 16:14 - CD TEST-方永红

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019 to

FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

#3 - 2022-09-27 15:39 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030

#4 - 2022-09-27 17:27 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- Resolution changed from -- to MOVE TO CQ

- Degrated changed from -- to No

- Root cause set to AOSP问题

■ Current conclusion
已定位到问题

■ My analysis

根据dump信息：

 adb shell dumpsys activity | grep -ni "foc" 

adb server version (39) doesn't match this client (41); killing...

    -  daemon started successfully

1042:  topDisplayFocusedRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false sz=2}

1051:  mCurrentFocus=Window{4013bc6 u0 com.android.permissioncontroller/com.android.permissioncontroller.permission.ui.ManagePermissionsActivity}

1052:  mFocusedApp=ActivityRecord{fe579fa u0 com.android.permissioncontroller/.permission.ui.ManagePermissionsActivity t79}

1104:      mPreferredTopFocusableRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false

sz=2}

1105:      mLastFocusedRootTask=Task{9bbd696 #79 type=standard A=1000:com.android.settings.root U=0 visible=true mode=fullscreen translucent=false sz=2}

1158:    mFocusedWindow=Window{4013bc6 u0 com.android.permissioncontroller/com.android.permissioncontroller.permission.ui.ManagePermissionsActivity}

点击隐私配置会跳转到权限应用，不属于Settings内部，目前无法讲其页面转换到Setting内部，需要讨论下方案可行性。

■ Next action 

Move To CQ

#5 - 2022-09-27 17:27 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

#6 - 2022-10-20 15:47 - CD TEST-方永红

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221130

#7 - 2022-11-01 15:38 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CD AF-陈羽杰

#8 - 2022-11-24 21:01 - CD TPM-王祥林

- Assignee changed from CD AF-陈羽杰 to CD FW-廖涛

#9 - 2022-11-24 22:50 - CD FW-廖涛

- Status changed from RESOLVED to ASSIGNED

因为原生权限功能为独立 App，需要将相关功能迁移到 Settings 内部，目前正在调研方案中，待方案确定后着手开发。

#10 - 2022-11-25 15:07 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#11 - 2022-12-14 18:34 - CD FW-廖涛

权限功能正在进行迁移尝试。

#12 - 2022-12-23 19:30 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from MOVE TO CQ to FIXED

- Fixed Version set to 2022-12-23
■ Current conclusion

已将功能迁移到 Settings 内部；

■ My analysis

PermissionController 为独立应用，要在 Settings 中打开需要做迁移；

■ Next action

测试验证；

#13 - 2022-12-27 11:08 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

12.27

验证通过

#14 - 2022-12-27 11:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

隐私全屏.log 10.9 KB 2022-09-26 CD TEST-方永红
